Dist::Zilla::Plugin::GenerateFile(3)

NAME
Dist::Zilla::Plugin::GenerateFile - build a custom file from only the plugin configuration

VERSION
version 4.300016

SYNOPSIS
In your dist.ini:

  [GenerateFile]
  filename    = todo/master-plan.txt
  is_template = 1
  content = # Outlines the plan for world domination by {{$dist->name}}
  content =
  content = Item 1: Think of an idea!
  content = Item 2: ?
  content = Item 3: Profit!

DESCRIPTION
This plugin adds a file to the distribution.

You can specify the content, as a sequence of lines, in your configuration. The specified content might be literal, or might be a Text::Template template.

  Templating of the content
If you provide a "is_template" parameter of "1", The content will also be run through Text::Template. The variables $plugin and $dist will be provided, set to the GenerateFile plugin and the Dist::Zilla object respectively.

ATTRIBUTES

  filename
This attribute names the file you want to generate. It is required.

  content
The "content" attribute is an arrayref of lines that will be joined together with newlines to form the file content.

  is_template
This attribute is a bool indicating whether or not the content should be treated as a Text::Template template. By default, it is false.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.